This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

CreateOrganizationUnit

1 - 1.1

post /v1/organization-units

Description

create an organization unit

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationUnitCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "description": "에스코어 조직 단위",
    "name": "score-organization-unit",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ]
}

Example HTTP response

Response 201

{
    "organization_unit": {
        "control_policies": [
            {
                "policy_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
                "policy_name": "test-policy-name"
            }
        ],
        "created_at": "2024-12-19 01:09:05.000",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "depth": 1,
        "description": "에스코어 조직 단위",
        "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "modified_at": "2023-10-15 14:30:00",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "score-organization-unit",
        "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
        "service_name": "Organization",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/ou/ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "type": "OU"
    }
}

2 - 1.0

post /v1/organization-units

Description

create an organization unit

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationUnitCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "description": "에스코어 조직 단위",
    "name": "score-organization-unit",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ]
}

Example HTTP response

Response 201

{
    "organization_unit": {
        "control_policies": [
            {
                "policy_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
                "policy_name": "test-policy-name"
            }
        ],
        "created_at": "2024-12-19 01:09:05.000",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "depth": 1,
        "description": "에스코어 조직 단위",
        "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "modified_at": "2023-10-15 14:30:00",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "score-organization-unit",
        "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
        "service_name": "Organization",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/ou/ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "type": "OU"
    }
}